# dbplus_freelock

(PHP 4 <= 4.1.0, PECL dbplus >= 0.9)

dbplus_freelock — Release write lock on tuple

### Description

dbplus_freelock ( resource `$relation` , string `$tuple` ) : int

Releases a write lock on the given `tuple` previously obtained by dbplus_getlock().

### Parameters

`relation`

  A relation opened by dbplus_open().

`tuple`

### Return Values

### Notes

Warning

This function is EXPERIMENTAL. The behaviour of this function, its name, and surrounding documentation may change without notice in a future release of PHP. This function should be used at your own risk.

### See Also

- dbplus_getlock() - Get a write lock on a tuple
- dbplus_freerlocks() - Free all tuple locks on given relation
- dbplus_freealllocks() - Free all locks held by this client